Debian Bug report logs - #659428
ssake: Uses perl4 corelibs without Depends

version graph

Package: ssake; Maintainer for ssake is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for ssake is src:ssake.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 11 Feb 2012 00:00:45 UTC

Severity: normal

Found in version ssake/3.8-1

Fixed in version ssake/3.8-2

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#659428; Package ssake. (Sat, 11 Feb 2012 00:00:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 11 Feb 2012 00:00:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: ssake: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:59:43 +0000
Package: ssake
Version: 3.8-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/ssake:52 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#659428; Package ssake. (Sat, 11 Feb 2012 07:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 11 Feb 2012 07:42:09 GMT) Full text and rfc822 format available.

Message #10 received at 659428@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Dominic Hargreaves <dom@earth.li>, 659428@bugs.debian.org
Subject: Re: Bug#659428: ssake: Uses perl4 corelibs without Depends
Date: Sat, 11 Feb 2012 08:30:38 +0100
Hi Dominic,

there is a fix in SVN for this problem.  I just like to clarify the
reason for not uploading and will act accordingly.  So there is no need
for NMU in this case (even if welcome in general).

Thanks for your QA work

       Andreas.

On Fri, Feb 10, 2012 at 11:59:43PM +0000, Dominic Hargreaves wrote:
> Package: ssake
> Version: 3.8-1
> Severity: normal
> User: debian-perl@lists.debian.org
> Usertags: perl4-corelibs
> 
> Dear maintainer,
> 
> This package currently uses one or more deprecated perl 4 era packages,
> as shown on the lintian report[1]:
> 
> usr/bin/ssake:52 getopts.pl
> 
> As detailed at [2] we would like you to either add a dependency on
> 
> libperl4-corelibs-perl | perl (<< 5.12.3-7)
> 
> or (ideally) to replace their use with more modern equivalents.
> We'd like to have this in place for wheezy, so that we can follow
> cleanly the upstream deprecation cycle in wheezy+1.
> 
> If you prefer, I will NMU your package with the dependency added.
> 
> The wiki page [2] has references (taken from the source of the libraries
> in question) for the recommended replacement libraries.
> 
> Thanks,
> Dominic.
> 
> [1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
> [2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>
> 
> -- 
> Dominic Hargreaves | http://www.larted.org.uk/~dom/
> PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging
> 

-- 
http://fam-tille.de




Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Sat, 11 Feb 2012 13:51:17 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 11 Feb 2012 13:51:18 GMT) Full text and rfc822 format available.

Message #15 received at 659428-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 659428-close@bugs.debian.org
Subject: Bug#659428: fixed in ssake 3.8-2
Date: Sat, 11 Feb 2012 13:48:21 +0000
Source: ssake
Source-Version: 3.8-2

We believe that the bug you reported is fixed in the latest version of
ssake, which is due to be installed in the Debian FTP archive:

ssake-examples_3.8-2_all.deb
  to main/s/ssake/ssake-examples_3.8-2_all.deb
ssake_3.8-2.debian.tar.gz
  to main/s/ssake/ssake_3.8-2.debian.tar.gz
ssake_3.8-2.dsc
  to main/s/ssake/ssake_3.8-2.dsc
ssake_3.8-2_all.deb
  to main/s/ssake/ssake_3.8-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659428@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated ssake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Feb 2012 22:13:43 +0900
Source: ssake
Binary: ssake ssake-examples
Architecture: source all
Version: 3.8-2
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 ssake      - genomics application for assembling millions of very short DNA se
 ssake-examples - example data for SSAKE, a genomic assembler of short reads
Closes: 650469 659428
Changes: 
 ssake (3.8-2) unstable; urgency=low
 .
   [ A. Costa ]
   * Corrected a typo in debian/ssake.1 (Closes: #650469).
 .
   [ Charles Plessy ]
   * Depend on libperl4-corelibs-perl | perl (<< 5.12.3-7).
     Closes: #659428.
Checksums-Sha1: 
 711a7358f4eced3d7c59e601ca4323888d45be53 2035 ssake_3.8-2.dsc
 3572f4027c590541c8f791f8804afe9da09fa044 5604 ssake_3.8-2.debian.tar.gz
 ef128460fe153cae8c636864185a45c871e0ab2d 44042 ssake_3.8-2_all.deb
 f19c001bfcf17810a52d549b0a9f000f55f22a90 2175664 ssake-examples_3.8-2_all.deb
Checksums-Sha256: 
 44e4e9252680386cb3cb022c9f6521288bbc7cf08becd22f6dc59bc32fa3c02a 2035 ssake_3.8-2.dsc
 5699c509022104a96ee2a53d0c882187cb12ac2a67cfb699a3a21e4b76eedbfe 5604 ssake_3.8-2.debian.tar.gz
 103e477c40499c2e36e1ecac60dd15768bec32a5c9865497d1c9558769c48e78 44042 ssake_3.8-2_all.deb
 2006ff864cc3987c5f9146b2d751efbc1c920f519d07ffc4711968f9c44f2f94 2175664 ssake-examples_3.8-2_all.deb
Files: 
 30c0a9d9ed0cb1d88b58634f6a982d69 2035 science optional ssake_3.8-2.dsc
 88459aa164f610f0b8809540b2ec079e 5604 science optional ssake_3.8-2.debian.tar.gz
 5cda284a853c23adb1d6587c491f7771 44042 science optional ssake_3.8-2_all.deb
 fb22dfbe5d149cd82b3ec40b8c3d0e9f 2175664 science optional ssake-examples_3.8-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPNm4OAAoJEMW9bI8ildUCBVMP/RTWW7kQb+tgu0tA41uZC6cn
2uS56Dmg0QDARCWzBOIskFzWBQ0Mxlx5onK0oJMyfaLnWbon/fhAPNyLgcgi2x+6
zIHWb27f2kUn7hCEctDD2tffWAEutb5woD/LEFDar6+zHHxXhSvlnX2DeB7PzbZA
bVluvjQlzx3bQN73h5ACU0ryMQM1InJP9vu/82GK0i/+83kokcewowbUJqO4j0G1
VWTsgHXmTKJ1ToedP8vpG3eVcc5lcHcxwdnI9zEzkYlFnJSxG/pAZl5u/GbgeVW1
PLbIE6bU1Rj/D161je7Jy63K8K74Hd7V8lcTripehAEtOUBehVqFjyPQ9kmft4t5
a3knZvXeghnhGvOuw6CPTe1UebzAR6LirzvU2YCjk7us750BU/dirgAumVjsq963
QGthennpI/P6PCzNw+sV3v6iH0+d62KGlnbKVBmIrlRFlHocHluCIWGX5dQ8xMvH
ZA/SBi64naR9PkegYgl8lsUz0ZS17DZYSl9IglKrQc5+3y+qXsQ/mdYorZHSSIiS
1e0f3jWwiRH82V6yA6ZgtsdIbYguAJIkGsNWxlpSlBwOmI14XdnSO0vPAVU/nBms
2LY6/zC+4pUEIaJolD+jbTSvpSmgXIoN1PdRBZHhYeALHjwk3sZI0QGA2l9Z1lle
l/0wHiKZMrxX2XpfV793
=3WH+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Mar 2012 07:34:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:05:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.